| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# msgset

$Revision: 1.3 $

$Date: 2002/06/12 11:18:19 $

msgset — A detailed set of messages, usually error messages

## Synopsis

### Content Model

    msgset ::=
    (blockinfo?,
     (title,titleabbrev?)?,
     (msgentry+|simplemsgentry+))

### Attributes

Common attributes

## Description

`MsgSet` is a complex structure designed to hold a detailed set of messages, usually error messages. In addition to the actual text of each message, it can contain additional information about each message and the messages related to it.

### Processing expectations

Formatted as a displayed block.

On the whole, the semantics of `MsgSet` are not clearly defined.

### Parents

These elements contain msgset: `appendix`, `article`, `bibliodiv`, `bibliography`, `blockquote`, `callout`, `chapter`, `glossary`, `glossdiv`, `index`, `listitem`, `msgexplan`, `msgtext`, `partintro`, `preface`, `procedure`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `setindex`, `simplesect`, `step`.

### Children

The following elements occur in msgset: `blockinfo`, `msgentry`, `simplemsgentry`, `title`, `titleabbrev`.

## See Also

`errorcode`, `errorname`, `errortext`, `errortype`.

## Examples

    <!DOCTYPE msgset PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <msgset>
      <msgentry>
        <msg>
           <msgmain>
              <msgtext><para>Record failed CRC</para></msgtext>
           </msgmain>
           <msgsub>
              <msgtext><para>Record <replaceable>n</replaceable>
                        in <replaceable>database</replaceable></para></msgtext>
           </msgsub>
           <msgrel>
              <msgtext><para>File read error on
                       <replaceable>database</replaceable></para></msgtext>
           </msgrel>
           <msgrel>
              <msgtext><para>Panic! Corrupt record!</para></msgtext>
           </msgrel>
         </msg>
         <msginfo>
            <msglevel>severe</msglevel>
            <msgorig>server</msgorig>
            <msgaud>all</msgaud>
         </msginfo>
         <msgexplan>
            <para>
            Indicates that some sort of error occurred while attempting to load
            a record from the database.  Retry.  If failure persists,
            contact the database administrator.
            </para>
         </msgexplan>
     </msgentry>
     <!-- more entries -->
    </msgset>

Record failed CRC

Record `n` in `database`

File read error on `database`

Panic! Corrupt record!

Level: severe

Origin: server

Audience: all

Indicates that some sort of error occurred while attempting to load a record from the database. Retry. If failure persists, contact the database administrator.

msgrel |  | msgsub

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.